[GE users] OpenMP problem on SGE

Rajesh Korde rajesh.korde at gmail.com
Wed Nov 10 20:29:20 GMT 2004


Hello,

We have a linux cluster running SGE 5.3. I am trying to run an openMP
application (that currently uses only 1 dual-CPU node) on this
cluster. The application runs fine when I log into a compute node and
run it. But when I run the app as a job using qsub, I get the
following error

---
OMP abort: stack overlap detected!
Perhaps you are using over 2MB of stack with unsupported pthreads library
that was built without FLOATING_STACKS defined?  This is the default for
the static pthreads library and many unsupported operating systems.
---

Now I am aware that there are issues between intel compilers and
pthreads library, but I dont understand why the app runs fine on a
node, but not when submitted through SGE. Any ideas would be greatly
appreciated.

Thanks,
Rajesh


-- 
Rajesh Korde
MSU-MCBI
517-355-9715 x 303

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net




More information about the gridengine-users mailing list